CRMCRM
Get CRM subscription by id
Fetch data about your CRM subscription and its CRM by unique ID of the subscription.
The id path parameter represents the unique CRM subscription plan identifier.
CRM plan IDs must be retrieved from the following endpoint: GET /api/v1/crm/subscriptions.
Each CRM plan returned by that endpoint contains a unique id field that should be used for single subscription management API calls.
Path Parameters
id*integer
CRM subscription unique id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api-e.teliqon.io/api/v1/crm/subscriptions/1" \ -H "Authorization: string"{
"code": 0,
"data": {
"activated_at": "string",
"activation": 0,
"agents_count": 0,
"base_monthly": 0,
"comment": "string",
"frequency": "monthly",
"id": 0,
"name": "string",
"next_payment_at": "string",
"plan": {
"activation": 0,
"description": "string",
"frequency": "monthly",
"id": 0,
"monthly": 0,
"price_per_user": 0,
"title": "string"
},
"price_per_user": 0,
"subscription_status": "disabled",
"url": "string"
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}